package org.eclipse.jdt.internal.compiler.codegen;

package .tmp;

import org.eclipse.jdt.internal.compiler.codegen.StackMapFrameCodeStream;
import org.eclipse.jdt.internal.compiler.lookup.TypeBinding;

public class StackDepthMarker {
  public int pc;
  
  public int delta;
  
  public TypeBinding typeBinding;
  
  public StackDepthMarker(int pc, int delta, TypeBinding typeBinding) {
    this.pc = pc;
    this.typeBinding = typeBinding;
    this.delta = delta;
  }
  
  public StackDepthMarker(int pc, int delta) {
    this.pc = pc;
    this.delta = delta;
  }
  
  public String toString() {
    StringBuffer buffer = new StringBuffer();
    buffer.append('(').append(this.pc).append(',').append(this.delta);
    if (this.typeBinding != null)
      buffer
        .append(',')
        .append(this.typeBinding.qualifiedPackageName())
        .append(this.typeBinding.qualifiedSourceName()); 
    buffer.append(')');
    return String.valueOf(buffer);
  }
}
